import 'package:syncrow_web/pages/spaces_management/all_spaces/model/product_model.dart';
import 'package:uuid/uuid.dart';

abstract class BaseTag {
  String? uuid;
  String? tag;
  final ProductModel? product;
  String internalId;
  String? location;

  BaseTag({
    this.uuid,
    required this.tag,
    this.product,
    String? internalId,
    this.location,
  }) : internalId = internalId ?? const Uuid().v4();

 Map<String, dynamic> toJson();
  BaseTag copyWith({
    String? tag,
    ProductModel? product,
    String? location,
    String? internalId,
  });
}
